summaryrefslogtreecommitdiff
path: root/dev-python/google-api-core
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-21 01:57:44 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2021-03-21 01:57:44 +0000
commit833ae35b137cdff6e7abbbfac481d07c4d5a89c7 (patch)
treed723b36fab653d917cbcc21c5255df4d6172376c /dev-python/google-api-core
parent2e9f55766d568ecbce2e42097bf1433dd4a417dc (diff)
downloadbaldeagleos-repo-833ae35b137cdff6e7abbbfac481d07c4d5a89c7.tar.gz
baldeagleos-repo-833ae35b137cdff6e7abbbfac481d07c4d5a89c7.tar.xz
baldeagleos-repo-833ae35b137cdff6e7abbbfac481d07c4d5a89c7.zip
Adding metadata
Diffstat (limited to 'dev-python/google-api-core')
-rw-r--r--dev-python/google-api-core/google-api-core-1.26.1-r1.ebuild44
1 files changed, 44 insertions, 0 deletions
diff --git a/dev-python/google-api-core/google-api-core-1.26.1-r1.ebuild b/dev-python/google-api-core/google-api-core-1.26.1-r1.ebuild
new file mode 100644
index 000000000000..1f2741cdc81a
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-1.26.1-r1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 2020-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8,9,10} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="https://github.com/googleapis/python-api-core
+ https://googleapis.dev/python/google-api-core/latest"
+SRC_URI="https://github.com/googleapis/${PN//google/python}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${P//google/python}"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ dev-python/namespace-google[${PYTHON_USEDEP}]
+ dev-python/protobuf-python[${PYTHON_USEDEP}]
+ dev-python/googleapis-common-protos[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.21.0[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ dev-python/packaging[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/grpcio[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install pytest
+
+python_install_all() {
+ distutils-r1_python_install_all
+ find "${D}" -name '*.pth' -delete || die
+}